Currently we support Mac computers with quad core processing:

  • Macbook (early 2015 or newer)
  • Macbook Pro (2012 or newer)
  • Mac mini (2014 or newer)iMac (2013 or newer)
  • Mac Pro (Late 2013)

For more information about our technical requirements and specifications, please visit this page.

Did this answer your question?